<?php
/***************************************************************************
 *                                admin_email_search.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) Able2Know.com
 *   support              : http://www.able2know.com/forums/viewtopic.php?p=843365#843365
 *
 *   
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if ( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	$module['Users']['Email_Search'] = $filename;

	return;
}

//
// Load default header
//
$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);
include($phpbb_root_path . 'includes/functions_admin.'.$phpEx);

//
// Username search
//

username_search($HTTP_POST_VARS['search_username']);

function username_search($search_match)
{
	global $db, $board_config, $template, $lang, $images, $theme, $phpEx, $phpbb_root_path;
	global $starttime, $gen_simple_header;
	
	$gen_simple_header = TRUE;

	$username_list = '';
	if ( !empty($search_match) )
	{
		$username_search = preg_replace('/\*/', '%', trim(strip_tags($search_match)));

		$sql = "SELECT user_email, user_id, username
			FROM " . USERS_TABLE . " 
			WHERE user_email LIKE '" . str_replace("\'", "''", $username_search) . "' AND user_id <> " . ANONYMOUS . "
			ORDER BY user_email";
		if ( !($result = $db->sql_query($sql)) )
		{
			message_die(GENERAL_ERROR, 'Could not obtain search results', '', __LINE__, __FILE__, $sql);
		}

		if ( $row = $db->sql_fetchrow($result) )
		{
			do
			{
				$username_list .= '<tr><td>' . $row['username'] . '</td><td>' . $row['user_email'] . '</td><td><a href="' . $phpbb_root_path . 'profile.' . $phpEx . '?mode=viewprofile&u=' . $row['user_id'] . '">View</a></td> <td><a href="' . append_sid('admin_users.' . $phpEx . '?mode=edit&u=' . $row['user_id'] . '') . '">Edit</a></td></tr>';
			}
			while ( $row = $db->sql_fetchrow($result) );
		}
		else
		{
			$username_list .= $lang['No_match'];
		}
		$db->sql_freeresult($result);
	}

	$page_title = $lang['Search'];

	$template->set_filenames(array(
		'search_user_body' => 'admin/member_email_search.tpl')
	);

	$template->assign_vars(array(
		'USERNAME' => ( !empty($search_match) ) ? strip_tags($search_match) : '', 

		'L_CLOSE_WINDOW' => $lang['Close_window'], 
		'L_SEARCH_USERNAME' => $lang['Find_username'], 
		'L_UPDATE_USERNAME' => $lang['Select_username'], 
		'L_SELECT' => $lang['Select'], 
		'L_SEARCH' => $lang['Search'], 
		'L_SEARCH_EXPLAIN' => $lang['Search_author_explain'], 
		'L_CLOSE_WINDOW' => $lang['Close_window'], 

		'S_USERNAME_OPTIONS' => $username_list, 
		'S_SEARCH_ACTION' => append_sid("admin_email_search.$phpEx"))
	);

	if ( $username_list != '' )
	{
		$template->assign_block_vars('switch_select_name', array());
	}

	$template->pparse('search_user_body');

include('./page_footer_admin.'.$phpEx);
	
	}

?>